let sessionStorageManager = new SessionStorageManager();

QUnit.test( "PlayerName", function( assert ) {
	sessionStorageManager.clear();
	assert.equal(sessionStorageManager.playerName, null, "playerName");

	sessionStorageManager.playerName = "박지상";
	assert.equal(sessionStorageManager.playerName, "박지상", "playerName");

	sessionStorageManager.removeItem("playerName");
	assert.equal(sessionStorageManager.playerName, null, "playerName");
});

QUnit.test( "playerUserID", function( assert ) {
	sessionStorageManager.clear();
	assert.equal(sessionStorageManager.playerUserID, null, "playerUserID");

	sessionStorageManager.playerUserID = 1;
	assert.equal(sessionStorageManager.playerUserID, 1, "playerUserID");

	sessionStorageManager.removeItem("playerUserID");
	assert.equal(sessionStorageManager.playerUserID, null, "playerUserID");
});

QUnit.test( "playingAppName", function( assert ) {
	sessionStorageManager.clear();
	assert.equal(sessionStorageManager.playingAppName, null, "playingAppName");

	sessionStorageManager.playingAppName = "space_invaders";
	assert.equal(sessionStorageManager.playingAppName, "space_invaders", "playingAppName");

	sessionStorageManager.removeItem("playingAppName");
	assert.equal(sessionStorageManager.playingAppName, null, "playingAppName");
});